# Interface MMetadataType

All Superinterfaces:
  `MPackageElementType`

All Known Implementing Classes:
  `MMetadata`

@Immutable public non-sealed interface MMetadataType extends MPackageElementType
Package metadata.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MApplicationKind`
  `applicationKind()`
  `Set<MCategoryName>`
  `categories()`
  `default void`
  `checkPreconditions()`
  Check preconditions for the type.
  `MCopyingType`
  `copying()`
  `MDescription`
  `description()`
  `default MMetadataFlatpakType`
  `flatpak()`
  `MJavaInfoType`
  `javaInfo()`
  `Set<MLink>`
  `links()`
  `default List<MLongDescriptionType>`
  `longDescriptions()`
  `default SortedMap<MLanguageCode,MLongDescriptionType>`
  `longDescriptionsByLanguage()`
  A map of the long descriptions by language.
  `MNamesType`
  `names()`
  `MVendor`
  `vendor()`
  `MVersion`
  `version()`

- ## Method Details

  - ### names

    MNamesType names()
    Returns:
      The package name information

  - ### version

    MVersion version()
    Returns:
      The package version

  - ### javaInfo

    MJavaInfoType javaInfo()
    Returns:
      Information involving the Java runtime

  - ### description

    MDescription description()
    Returns:
      The package description

  - ### links

    Set<MLink> links()
    Returns:
      The various package links.

  - ### vendor

    MVendor vendor()
    Returns:
      The vendor

  - ### copying

    MCopyingType copying()
    Returns:
      The copyright and license information

  - ### longDescriptions

    @Default default List<MLongDescriptionType> longDescriptions()
    Returns:
      A long description of the application

  - ### longDescriptionsByLanguage

    @Derived default SortedMap<MLanguageCode,MLongDescriptionType> longDescriptionsByLanguage()
    A map of the long descriptions by language.
    Returns:
      The long descriptions by language

  - ### categories

    Set<MCategoryName> categories()
    Returns:
      The application categories

  - ### applicationKind

    MApplicationKind applicationKind()
    Returns:
      The kind of the application

  - ### flatpak

    @Default default MMetadataFlatpakType flatpak()
    Returns:
      The flatpak-specific metadata

  - ### checkPreconditions

    @Check default void checkPreconditions()
    Check preconditions for the type.